You are not logged in.

#4076 2012-07-07 05:50:10

netspider
Member
Registered: 2012-07-07
Posts: 2

Re: The AMD/ATI Bar & Grill

I had problems with version mismatch after upgrading catalyst-total to 12.6.
Those were fixed by going to directory /lib/modules/extramodules-3.4-ARCH and extracting fglrx.ko.gz as root. The fglrx.ko file in that directory was from a previous version.

Offline

#4077 2012-07-07 10:04:44

PhotonX
Member
From: Munich
Registered: 2008-08-10
Posts: 431

Re: The AMD/ATI Bar & Grill

I'm having a strange problem: Presumable after the update to 12.6 Compiz started to eat up ~20% CPU load in idle. I tried to downgrade to 12.4 but got stuck by the same problem as here: https://bbs.archlinux.org/viewtopic.php … 7#p1094507 But this time there were no outdated extramodules folder which I could remove, so I don't know what to do. smile Maybe also important: I'm using kernel 3.3.6 and am unable to upgrade it due to https://bugs.archlinux.org/task/30044

Last edited by PhotonX (2012-07-07 10:05:41)


Desktop: http://www.sysprofile.de/id15562, Arch Linux    |    Notebook: Thinkpad X200 Tablet, Manjaro

The very worst thing you can do with free software is to download it, see that it doesn't work for some reason, leave it, and tell your friends that it doesn't work.  -  Tuomas Lukka

Offline

#4078 2012-07-08 18:47:35

Squarex
Member
Registered: 2012-07-08
Posts: 6

Re: The AMD/ATI Bar & Grill

I've also got serious problem with new drivers.  After upgrade is the opengl performance very poor and KWin with composition is almost unusable. My card is HD5770.

Offline

#4079 2012-07-08 19:22:48

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

catalyst 12.6 legacy beta for radeons hd 2 3 4 hd
I've updated [catalyst-hd234k] and catalyst-total-hd234k@AUR with this new driver which brings xserver 1.12 and 3.4 kernel support (without patches).

PKGBUILDs used to build repo packages are available here: http://catalyst.apocalypsus.net/tarball/0_LEGACY/12.6/



Those who are having problems can still use [xorg111] and [catalyst-hd234k-12.4] repo:

[catalyst-hd234k-12.4] 
Server = http://catalyst.apocalypsus.net/repo/catalyst-hd234k/$arch

Don't be confused - this one (12.4) will work also on radeons hd 5 6 7 k



I've also removed all catalyst' archive repositories, so now only [catalyst], [catalyst-hd234k] and [catalyst-hd234k-12.4] are available.
Archived xorg repos stayed untached.



PhotonX wrote:

I'm having a strange problem: Presumable after the update to 12.6 Compiz started to eat up ~20% CPU load in idle. I tried to downgrade to 12.4 but got stuck by the same problem as here: https://bbs.archlinux.org/viewtopic.php … 7#p1094507 But this time there were no outdated extramodules folder which I could remove, so I don't know what to do. smile Maybe also important: I'm using kernel 3.3.6 and am unable to upgrade it due to https://bugs.archlinux.org/task/30044

Which exact packages are you using? Can you put fglrx compilation log?

Last edited by Vi0L0 (2012-07-08 19:46:46)

Offline

#4080 2012-07-08 19:47:10

Unia
Member
From: The Netherlands
Registered: 2010-03-30
Posts: 2,471
Website

Re: The AMD/ATI Bar & Grill

Great, thanks for the work you put into this again Vi0L0!


If you can't sit by a cozy fire with your code in hand enjoying its simplicity and clarity, it needs more work. --Carlos Torres

Offline

#4081 2012-07-08 19:55:31

blazs
Member
Registered: 2010-08-22
Posts: 8

Re: The AMD/ATI Bar & Grill

12.6 legacy not work for mobility hd 4670, same problem as Edward:

Xorg.0.log: 
[     4.511] Current Operating System: Linux dell 3.4.4-2-ARCH #1 SMP PREEMPT Sun Jun 24 18:59:47 CEST 2012 x86_64
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[     4.520] (WW) The directory "/usr/share/fonts/OTF/" does not exist.
[     4.520] (WW) The directory "/usr/share/fonts/Type1/" does not exist.
[     4.521] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi/".
[     4.521] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/75dpi/".
[     4.523] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
[     4.529] (II) Loading extension MIT-SCREEN-SAVER
[     4.628] (WW) Falling back to old probe method for fglrx
[     4.646] (WW) fglrx: No matching Device section for instance (BusID PCI:0@2:0:1) found
[     4.807] (WW) fglrx(0): board is an unknown third party board, chipset is supported
[     5.232] (WW) fglrx(0): Kernel Module version does *not* match driver.
[     5.232] (EE) fglrx(0): incompatible kernel module detected - HW accelerated OpenGL will not work
[     5.232] (WW) fglrx(0): ***********************************************************
[     5.232] (WW) fglrx(0): * DRI initialization failed                               *
[     5.232] (WW) fglrx(0): * kernel module (fglrx.ko) may be missing or incompatible *
[     5.232] (WW) fglrx(0): * 2D and 3D acceleration disabled                         *
[     5.232] (WW) fglrx(0): ***********************************************************
[     5.302] (WW) fglrx(0): Textured Video not supported without DRI enabled.
[     5.337] (EE) fglrx(0): XMM failed to open CMMQS connection.(EE) fglrx(0): 
[     5.337] (EE) fglrx(0): XMM failed to initialize
[     5.337] (WW) fglrx(0): No XV video playback available
[     5.337] (WW) fglrx(0): Option "VendorName" is not used
[     5.337] (WW) fglrx(0): Option "ModelName" is not used

dmeg | grep fglrx:
[    2.387671] fglrx: module license 'Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY' taints kernel.
[    2.394529] [fglrx] Maximum main memory to use for locked dma buffers: 3722 MBytes.
[    2.394810] [fglrx]   vendor: 1002 device: 9488 count: 1
[    2.395279] [fglrx] ioport: bar 1, base 0x2000, size: 0x100
[    2.395461] [fglrx] Kernel PAT support is enabled
[    2.395480] [fglrx] module loaded - fglrx 8.96.4 [Apr  5 2012] with 1 minors
[    4.755081] [fglrx] ATIF platform detected with notification ID: 0x81
[    5.018288] fglrx_pci 0000:02:00.0: irq 44 for MSI/MSI-X
[    5.019490] [fglrx] Firegl kernel thread PID: 932
[    5.019972] [fglrx] Firegl kernel thread PID: 933
[    5.020060] [fglrx] Firegl kernel thread PID: 934
[    5.020236] [fglrx] IRQ 44 Enabled
[    5.331390] [fglrx:firegl_cmmqs_BIOSControl] *ERROR* CMMQS BIOS Control: CMMQS handle is not valid.
[    5.331394] [fglrx:firegl_bios_control] *ERROR* CMMQS BIOS Control is failed: firegl_bios_control

installed it from AUR(but i tried the hd234k repo too), tied with xorg-server 1.11 and 1.12 too
and i ran aticonfig --initial and mkinitcpio -p linux

Offline

#4082 2012-07-08 20:00:18

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

@blazs:
guess that bugzilla is the only right place to solve it :-/  ::: http://ati.cchtml.com

Offline

#4083 2012-07-08 20:11:30

PhotonX
Member
From: Munich
Registered: 2008-08-10
Posts: 431

Re: The AMD/ATI Bar & Grill

I'm using catalyst-hook and catalyst-utils from the catalyst repo.

Here is the log of the update to 12.6 (which seems to have led to the performance issue):

[2012-07-02 09:18] Running 'pacman -Sy'
[2012-07-02 09:18] synchronizing package lists
[2012-07-02 09:20] Running 'pacman -S core/ca-certificates extra/perl-file-copy-recursive extra/libdrm multilib/lib32-libdrm catalyst/catalyst-hook catalyst/catalyst-utils'
[2012-07-02 09:20] upgraded ca-certificates (20120212-1 -> 20120623-1)
[2012-07-02 09:20] upgraded perl-file-copy-recursive (0.38-1 -> 0.38-2)
[2012-07-02 09:20] upgraded libdrm (2.4.35-1 -> 2.4.37-1)
[2012-07-02 09:20] upgraded lib32-libdrm (2.4.35-1 -> 2.4.37-1)
[2012-07-02 09:21] ----------------------------------------------------------------
[2012-07-02 09:21] PLEASE NOTE:
[2012-07-02 09:21] For these drivers to work, you must install kernel modules.
[2012-07-02 09:21] Depending on your kernel, these module packages are named
[2012-07-02 09:21] catalyst-$kernel and stock kernel module is catalyst
[2012-07-02 09:21] 
[2012-07-02 09:21] OR simply use packages that provides auto re-compilation:
[2012-07-02 09:21] catalyst-hook or catalyst-daemon
[2012-07-02 09:21] 
[2012-07-02 09:21] OR use catalyst-generator package to generate catalyst-{kernver}
[2012-07-02 09:21] packages
[2012-07-02 09:21] ----------------------------------------------------------------
[2012-07-02 09:21] You can use the tool 'aticonfig' to generate an xorg.conf file.
[2012-07-02 09:21] --------------------- ^^^^^^^^^ --------------------------------
[2012-07-02 09:21] Add nomodeset to your kernel line in /boot/grub/menu.lst , ie.:
[2012-07-02 09:21] kernel /boot/vmlinuz-linux root=/dev/sda1 ro nomodeset
[2012-07-02 09:21] ----------------------------------------------------------------
[2012-07-02 09:21] For more info and troubleshooting visit:
[2012-07-02 09:21] http://wiki.archlinux.org/index.php/ATI_Catalyst
[2012-07-02 09:21] ----------------------------------------------------------------
[2012-07-02 09:21] upgraded catalyst-utils (12.4-2 -> 12.6-1)
[2012-07-02 09:21] Building fglrx module for 3.3.6-1-ARCH kernel ...
[2012-07-02 09:21] Ok.
[2012-07-02 09:21] ----------------------------------------------------------------
[2012-07-02 09:21] Automatic re-compilation is enabled now.
[2012-07-02 09:21] ----------------------------------------------------------------
[2012-07-02 09:21] Answer 'Yes' whenever pacman ask you about updating
[2012-07-02 09:21] 'linux-headers' in first place
[2012-07-02 09:21] ----------------------------------------------------------------
[2012-07-02 09:21] Provide headers to your kernel ie:
[2012-07-02 09:21] linux-headers if you are using linux.
[2012-07-02 09:21] Most of custom kernels provides own headers.
[2012-07-02 09:21] ----------------------------------------------------------------
[2012-07-02 09:21] Add nomodeset to your kernel line in /boot/grub/menu.lst , ie.:
[2012-07-02 09:21] kernel /boot/vmlinuz-linux root=/dev/sda1 ro nomodeset
[2012-07-02 09:21] -------------------------------------------- ^^^^^^^^^ ---------
[2012-07-02 09:21] If experiencing problems with building module or using more than
[2012-07-02 09:21] one kernel use catalyst_build_module command as root, more info:
[2012-07-02 09:21] # catalyst_build_module help
[2012-07-02 09:21] - ^^^^^^^^^^^^^^^^^^^^^ ----------------------------------------
[2012-07-02 09:21] For more info and more troubleshooting visit:
[2012-07-02 09:21] http://wiki.archlinux.org/index.php/ATI_Catalyst
[2012-07-02 09:21] ----------------------------------------------------------------
[2012-07-02 09:21] upgraded catalyst-hook (12.4-4 -> 12.6-1)

Here is the log from the downgrade to 12.4 (which has led to the X error):

[2012-07-07 11:05] Running 'pacman -U catalyst-hook-12.4-4-x86_64.pkg.tar.xz catalyst-utils-12.4-2-x86_64.pkg.tar.xz'
[2012-07-07 11:05] ----------------------------------------------------------------
[2012-07-07 11:05] PLEASE NOTE:
[2012-07-07 11:05] For these drivers to work, you must install kernel modules.
[2012-07-07 11:05] Depending on your kernel, these module packages are named
[2012-07-07 11:05] catalyst-$kernel and stock kernel module is catalyst
[2012-07-07 11:05] 
[2012-07-07 11:05] OR simply use packages that provides auto re-compilation:
[2012-07-07 11:05] catalyst-hook or catalyst-daemon
[2012-07-07 11:05] 
[2012-07-07 11:05] OR use catalyst-generator package to generate catalyst-{kernver}
[2012-07-07 11:05] packages
[2012-07-07 11:05] ----------------------------------------------------------------
[2012-07-07 11:05] You can use the tool 'aticonfig' to generate an xorg.conf file.
[2012-07-07 11:05] --------------------- ^^^^^^^^^ --------------------------------
[2012-07-07 11:05] Add nomodeset to your kernel line in /boot/grub/menu.lst , ie.:
[2012-07-07 11:05] kernel /boot/vmlinuz-linux root=/dev/sda1 ro nomodeset
[2012-07-07 11:05] ----------------------------------------------------------------
[2012-07-07 11:05] For more info and troubleshooting visit:
[2012-07-07 11:05] http://wiki.archlinux.org/index.php/ATI_Catalyst
[2012-07-07 11:05] ----------------------------------------------------------------
[2012-07-07 11:05] upgraded catalyst-utils (12.6-1 -> 12.4-2)
[2012-07-07 11:05] Building fglrx module for 3.3.6-1-ARCH kernel ...
[2012-07-07 11:05] Ok.
[2012-07-07 11:05] ----------------------------------------------------------------
[2012-07-07 11:05] Automatic re-compilation is enabled now.
[2012-07-07 11:05] ----------------------------------------------------------------
[2012-07-07 11:05] Answer 'Yes' whenever pacman ask you about updating
[2012-07-07 11:05] 'linux-headers' in first place
[2012-07-07 11:05] ----------------------------------------------------------------
[2012-07-07 11:05] Provide headers to your kernel ie:
[2012-07-07 11:05] linux-headers if you are using linux.
[2012-07-07 11:05] Most of custom kernels provides own headers.
[2012-07-07 11:05] ----------------------------------------------------------------
[2012-07-07 11:05] Add nomodeset to your kernel line in /boot/grub/menu.lst , ie.:
[2012-07-07 11:05] kernel /boot/vmlinuz-linux root=/dev/sda1 ro nomodeset
[2012-07-07 11:05] -------------------------------------------- ^^^^^^^^^ ---------
[2012-07-07 11:05] If experiencing problems with building module or using more than
[2012-07-07 11:05] one kernel use catalyst_build_module command as root, more info:
[2012-07-07 11:05] # catalyst_build_module help
[2012-07-07 11:05] - ^^^^^^^^^^^^^^^^^^^^^ ----------------------------------------
[2012-07-07 11:05] For more info and more troubleshooting visit:
[2012-07-07 11:05] http://wiki.archlinux.org/index.php/ATI_Catalyst
[2012-07-07 11:05] ----------------------------------------------------------------
[2012-07-07 11:05] upgraded catalyst-hook (12.6-1 -> 12.4-4)
$ ls /lib/modules/
3.3.6-1-ARCH  extramodules-3.3-ARCH  extramodules-3.4-ARCH

For me everything seems ok in both cases. hmm


Desktop: http://www.sysprofile.de/id15562, Arch Linux    |    Notebook: Thinkpad X200 Tablet, Manjaro

The very worst thing you can do with free software is to download it, see that it doesn't work for some reason, leave it, and tell your friends that it doesn't work.  -  Tuomas Lukka

Offline

#4084 2012-07-08 20:38:53

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

@PhotonX:
seems like it is my bad sad

soon i will update catalyst-hook
Edit: should be better now, is it?


To every user of -hook or -total :
please update to the newest versions, and then check if there is fglrx.ko module inside extramodules directory next to fglrx.ko.gz
- there should not be fglrx.ko (which was not removed in some cases), just fglrx.ko.gz
Newest update should fix this, but if not - let me know

Btw because of this bug there could occur problems with speed, consider testing 12.6 one more time

Sorry for this bug, don't have much time for testing lately hmm

Last edited by Vi0L0 (2012-07-08 22:41:59)

Offline

#4085 2012-07-09 00:22:43

Roken
Member
From: UK
Registered: 2012-01-16
Posts: 656

Re: The AMD/ATI Bar & Grill

Just updated (in stages) catalyst legacy 12.6 - no problems, then updated to xorg 1.12 - and initial tests suggest everything is fine here:

HD4670 - BUT - I'm using linux-ice - 3.2 kernel (not tested with 3.4). Temps are OK, framerates are OK (unscientific "how my eyes see it" testing) (in fact, I've dropped temps 1C with the changes).

I'll keep an eye out - got a complete clonezilla prior to upgrades, just in case. Up to now, all is good.


[img=Speedtest]http://www.speedtest.net/my-result/5145583518[/img]

Nvidia GTX 670 2Gb, AMD Phenom II X4 (965BE) @ 3.6 Ghz (Overclocked) 8GB RAM
Linux user #545703

Offline

#4086 2012-07-09 07:26:13

PhotonX
Member
From: Munich
Registered: 2008-08-10
Posts: 431

Re: The AMD/ATI Bar & Grill

Unfortunately still the same behaviour. The fglrx.ko was successfully removed, but the issue with the CPU usage by Compiz still persists. I realized that I have another Arch install (on the same hardware besides of the fact that it is installed on an HDD) where still 12.4 is used, so I made some testing.

12.4 (32bit, HDD)
compiz CPU usage: 0%
glxgears CPU usage: ~60%
glxgears fps: 1250-1450 fps
speed-dreams (with and without compiz, 1280x1024, fullscreen): 15-20fps

12.6 (64bit, SSD)
compiz CPU usage: ~20%
glxgears CPU usage: 100%
glxgears fps; ~1950fps
speed-dreams (with and without compiz, 1280x1024, fullscreen): ~150fps

So the performance has in fact greatly improved besides of the CPU usage by Compiz...

Last edited by PhotonX (2012-07-09 07:55:02)


Desktop: http://www.sysprofile.de/id15562, Arch Linux    |    Notebook: Thinkpad X200 Tablet, Manjaro

The very worst thing you can do with free software is to download it, see that it doesn't work for some reason, leave it, and tell your friends that it doesn't work.  -  Tuomas Lukka

Offline

#4087 2012-07-09 10:22:17

thalak
Member
Registered: 2012-06-18
Posts: 4

Re: The AMD/ATI Bar & Grill

Thank Vi0L0, I've updated  to catalyst-total-hd234 and xserver 1.12 kernel 3.4.4 64bits. Ati HD4530:
Ubuntu 12.04: glxgears = 3450
Arch 3.4.4 : glxgears = 5400 (openbox)
Cya

Offline

#4088 2012-07-09 11:51:39

ratcheer
Member
Registered: 2011-10-09
Posts: 517

Re: The AMD/ATI Bar & Grill

I am getting confused. I am still running catalyst-test and xorg 1.12 with an HD6770 card. It is working very well, but am I now supposed to change to something else? I am asking because of this post by Vi0L0: https://bbs.archlinux.org/viewtopic.php … 6#p1127006

Tim

Offline

#4089 2012-07-09 12:04:45

ilusi0n
Member
Registered: 2010-06-09
Posts: 187

Re: The AMD/ATI Bar & Grill

ratcheer wrote:

I am getting confused. I am still running catalyst-test and xorg 1.12 with an HD6770 card. It is working very well, but am I now supposed to change to something else? I am asking because of this post by Vi0L0: https://bbs.archlinux.org/viewtopic.php … 6#p1127006

Tim

That was only for the people that have Radeons HD <= 5xxx. Which is not your case

https://bbs.archlinux.org/viewtopic.php … 7#p1124147

You should use catalyst 12.6 from the repository or from aur
The repository you can find it here https://wiki.archlinux.org/index.php/AT … repository

Ps: 12.6 official was release so you should go to catalyst-testing to catalyst

Last edited by ilusi0n (2012-07-09 12:05:09)

Online

#4090 2012-07-09 21:41:25

ratcheer
Member
Registered: 2011-10-09
Posts: 517

Re: The AMD/ATI Bar & Grill

No, the driver I was using (catalyst-12.6-5) was also marked for 5000 series and higher cards. But, it was from [catalyst-test] repository, not a driver named catalyst-test. That was my mistake.

Anyway, I have re-added the regular [catalyst] repository and installed catalyst from it. It is version 12.6-1. Also, my xorg just got updated to 1.12.3-1.

Everything seems to be working just fine. Thank you.

Tim

Offline

#4091 2012-07-09 22:28:49

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

Request for testing
I've prepared stock (so for hd >= 5k) catalyst-hook 12.6-3 package which is aimed mainly for [testing] users, but this request is directed also for [core] ones.

Now in [testing] we have got glibc 2.16-2 which removes /lib as a directory (used by catalyst because of /lib/modules directory) - coming to [testing] is kinda dangerous atm, read arch-dev-public ML carefully before doing this.
This new catalyst-hook version supports both new testing /usr/lib/modules (searching for it in first place) and older /lib/modules, so it should to work automagically for both core and testing users.
I've tested it and it looks fine but i would like to have some confirmation.

This new package also supports kernel 3.5 (working fine here on 3.5rc6 x86_64) (thanks for a patch goes to Enrico Tagliavini)

Here's the link to PKGBUILD and src: http://catalyst.apocalypsus.net/tarball … ook.tar.gz

Last edited by Vi0L0 (2012-07-09 22:32:08)

Offline

#4092 2012-07-10 09:46:08

punkeroso
Member
From: Rome, Italy
Registered: 2007-01-19
Posts: 104

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

Request for testing
I've prepared stock (so for hd >= 5k) catalyst-hook 12.6-3 package which is aimed mainly for [testing] users, but this request is directed also for [core] ones.

Now in [testing] we have got glibc 2.16-2 which removes /lib as a directory (used by catalyst because of /lib/modules directory) - coming to [testing] is kinda dangerous atm, read arch-dev-public ML carefully before doing this.
This new catalyst-hook version supports both new testing /usr/lib/modules (searching for it in first place) and older /lib/modules, so it should to work automagically for both core and testing users.
I've tested it and it looks fine but i would like to have some confirmation.

This new package also supports kernel 3.5 (working fine here on 3.5rc6 x86_64) (thanks for a patch goes to Enrico Tagliavini)

Here's the link to PKGBUILD and src: http://catalyst.apocalypsus.net/tarball … ook.tar.gz

It works!

Offline

#4093 2012-07-10 19:13:03

Roken
Member
From: UK
Registered: 2012-01-16
Posts: 656

Re: The AMD/ATI Bar & Grill

Any chance of getting linux 3.5 support on hd234k repo? Decided to try it, but:

==> Compiling fglrx module ...
make: Entering directory `/usr/src/linux-3.5.0-rc6+'
  CC [M]  /tmp/catalyst.9BolVK/src/firegl_public.o
  CC [M]  /tmp/catalyst.9BolVK/src/kcl_acpi.o
  CC [M]  /tmp/catalyst.9BolVK/src/kcl_agp.o
  CC [M]  /tmp/catalyst.9BolVK/src/kcl_debug.o
  CC [M]  /tmp/catalyst.9BolVK/src/kcl_ioctl.o
/tmp/catalyst.9BolVK/src/firegl_public.c: In function ‘KCL_MEM_AllocLinearAddrInterval’:
/tmp/catalyst.9BolVK/src/firegl_public.c:2152:5: error: implicit declaration of function ‘do_mmap’ [-Werror=implicit-function-declaration]
/tmp/catalyst.9BolVK/src/firegl_public.c:2152:13: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
  CC [M]  /tmp/catalyst.9BolVK/src/kcl_io.o
cc1: some warnings being treated as errors
make[1]: *** [/tmp/catalyst.9BolVK/src/firegl_public.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make: *** [_module_/tmp/catalyst.9BolVK/src] Error 2
make: Leaving directory `/usr/src/linux-3.5.0-rc6+'
==> ERROR: A failure occurred in build().
    Aborting...

So for now I'm stuck on a 3.2 kernel (problems cropped up in 3.3 and stayed through 3.4 which I believe are fixed in 3.5) - or are there any kernel config options I should set (other than radeon support)?


[img=Speedtest]http://www.speedtest.net/my-result/5145583518[/img]

Nvidia GTX 670 2Gb, AMD Phenom II X4 (965BE) @ 3.6 Ghz (Overclocked) 8GB RAM
Linux user #545703

Offline

#4094 2012-07-10 19:59:34

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

@Roken:
on my prev post i gave url to a tarball - extract it, there you will find a 3.5-do_mmap.patch - im pretty sure it will work for catalyst legacy.
Oh and the answer is yes - legacy will have it, but firstly this catalyst-hook 12.6-3 should be tested better

@punkeroso:
nice, thanks! smile
can you give me some details? -like: are you using [testing] repo with kernel from it?

Last edited by Vi0L0 (2012-07-10 21:15:16)

Offline

#4095 2012-07-10 23:37:00

Roken
Member
From: UK
Registered: 2012-01-16
Posts: 656

Re: The AMD/ATI Bar & Grill

@ViOLO

Thank you - part way there. I applied the patch (extracted to my desktop) with:

$ sudo patch -p1 firegl_public.c ~/Desktop/3.5-do_mmap.patch

Which seemed to complete just fine. Then I fired up catalyst generator:

$catalyst_build_module 3.5.0-git

Which returned with

Proceed with installation? [Y/n] 
(1/1) checking package integrity                   [######################] 100%
(1/1) loading package files                        [######################] 100%
(1/1) checking for file conflicts                  [######################] 100%
(1/1) checking available disk space                [######################] 100%
(1/1) installing catalyst-                         [######################] 100%
/tmp/alpm_6clAtS/.INSTALL: line 7: [: !=: unary operator expected
Done.

After booting with the 3.5 kernel (no fglrx evident)

$ fglrxinfo
X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  139 (ATIFGLEXTENSION)
  Minor opcode of failed request:  66 ()
  Serial number of failed request:  13
  Current serial number in output stream:  13

Any ideas?

TIA


[img=Speedtest]http://www.speedtest.net/my-result/5145583518[/img]

Nvidia GTX 670 2Gb, AMD Phenom II X4 (965BE) @ 3.6 Ghz (Overclocked) 8GB RAM
Linux user #545703

Offline

#4096 2012-07-11 07:02:03

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

@Roken:
you are [testing] user, right? i'm asking because it's looking like linux-git pkg maintainer hardcoded /usr/lib/modules in PKGBUILD

can you list me your /lib/modules directory? and then it's extramodules subdirectory for -git kernel?
catalyst-generator won't work without /lib/modules, it doesn't support system without /lib yet

Last edited by Vi0L0 (2012-07-11 07:11:50)

Offline

#4097 2012-07-11 08:21:33

Roken
Member
From: UK
Registered: 2012-01-16
Posts: 656

Re: The AMD/ATI Bar & Grill

Yes, [testing] user. I don't have /lib. It exists only as a symlink to /usr/lib since problems with glibc updates (I had to fix it manually - https://bbs.archlinux.org/viewtopic.php?id=144620 refers)

$ ls -l /
total 59
drwxr-xr-x   2 root  root  4096 Jul 11 09:31 bin
drwxr-xr-x   6 root  root  3072 Jul 10 20:05 boot
drwxr-xr-x  19 root  root  3920 Jul 11 00:44 dev
drwxr-xr-x 103 root  root 12288 Jul 11 09:33 etc
drwxr-xr-x   5 root  root  4096 Apr 22 17:03 home
lrwxrwxrwx   1 root  root     7 Jul  7 11:09 lib -> usr/lib
lrwxrwxrwx   1 root  root     7 Jul  7 11:13 lib64 -> usr/lib
drwx------   2 root  root  4096 Jan 18 15:20 lost+found
drwxr-xr-x   2 root  root  4096 Jun 20 10:31 media
drwxr-xr-x   7 root  root  4096 Jul  8 11:23 mnt
drwxr-xr-x  12 steve 1000  4096 Jul  9 01:41 opt
dr-xr-xr-x 207 root  root     0 Jul 11 00:38 proc
drwxr-x---  20 root  root  4096 Jul 11 01:15 root
drwxr-xr-x  23 root  root   780 Jul 11 00:39 run
drwxr-xr-x   2 root  root  4096 Jul 11 09:31 sbin
drwxr-xr-x   5 root  root  4096 Jun 22 00:47 srv
drwxr-xr-x  13 root  root     0 Jul 11 00:38 sys
drwxrwxrwt  19 root  root   560 Jul 11 09:55 tmp
drwxr-xr-x  11 root  root  4096 Jul  7 11:11 usr
drwxr-xr-x  15 root  root  4096 Jul  7 11:12 var
$ ls -al /usr/lib/modules/3.5.0-rc6+/
total 1388
drwxr-xr-x 3 root root   4096 Jul 11 00:29 .
drwxr-xr-x 8 root root   4096 Jul 11 00:00 ..
lrwxrwxrwx 1 root root     25 Jul 10 20:04 build -> /usr/src/linux-3.5.0-rc6+
-rw-r--r-- 1 root root  96919 Jul 10 20:04 .config
lrwxrwxrwx 1 root root     23 Jul 10 20:04 extramodules -> ../extramodules-3.5-git
drwxr-xr-x 8 root root   4096 Jul 11 00:29 kernel
-rw-r--r-- 1 root root  88043 Jul 11 00:29 modules.alias
-rw-r--r-- 1 root root  84835 Jul 11 00:29 modules.alias.bin
-rw-r--r-- 1 root root   3337 Jul 10 20:03 modules.builtin
-rw-r--r-- 1 root root   4813 Jul 11 00:29 modules.builtin.bin
-rw-r--r-- 1 root root  30984 Jul 11 00:29 modules.dep
-rw-r--r-- 1 root root  47872 Jul 11 00:29 modules.dep.bin
-rw-r--r-- 1 root root    209 Jul 11 00:29 modules.devname
-rw-r--r-- 1 root root  15892 Jul 10 20:03 modules.order
-rw-r--r-- 1 root root    131 Jul 11 00:29 modules.softdep
-rw-r--r-- 1 root root 100378 Jul 11 00:29 modules.symbols
-rw-r--r-- 1 root root 124584 Jul 11 00:29 modules.symbols.bin
-rw-r--r-- 1 root root 786373 Jul 11 00:29 sound-preoss.tar.bz2

and

$ ls -al /usr/lib/modules/extramodules-3.5-git/
total 16
drwxr-xr-x 3 root root 4096 Jul 11 00:28 .
drwxr-xr-x 8 root root 4096 Jul 11 00:00 ..
drwxr-xr-x 3 root root 4096 Jul 11 00:28 kernel
-rw-r--r-- 1 root root   11 Jul 10 20:04 version

/usr/lib/modules/3.5.0-git is a link to /usr/lib/modules/3.5.0-rc6+

The softlink for /lib doesn't, in itself, break catalyst-generator, which works just fine on the older kernel.

EDIT: From the package maintainer of linux-git:

"Comment by: xduugu on Wed, 04 Jul 2012 20:11:10 +0000

    Updated to install the modules to /usr/lib. I guess it currently depends on the packages (kmod in particular) from testing."

Last edited by Roken (2012-07-11 08:56:25)


[img=Speedtest]http://www.speedtest.net/my-result/5145583518[/img]

Nvidia GTX 670 2Gb, AMD Phenom II X4 (965BE) @ 3.6 Ghz (Overclocked) 8GB RAM
Linux user #545703

Offline

#4098 2012-07-11 08:37:17

punkeroso
Member
From: Rome, Italy
Registered: 2007-01-19
Posts: 104

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

nice, thanks! smile
can you give me some details? -like: are you using [testing] repo with kernel from it?

Yes, I'm using testing repo and kernel from there.
Thanks again for you work!

Offline

#4099 2012-07-11 09:26:34

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

@Roken:
ok, one more thing - show me your version:

cat /usr/lib/modules/extramodules-3.5-git/version


If it's different than `uname -r` on your git kernel then it's bad cuz catalyst_build_module is expecting to be the same:

    for r in /lib/modules/*; do
      s=${r##*/lib/modules/}
      if [[ ${s:0:3} = "ext" ]]; then
	if [[ `cat ${r}/version | grep -c ${kernver}` != 0 ]]; then
	 pakaver="${s#*-}"
	 destidir="${s}"
	 depextrmod="${s}"
	fi

right now it's the only reason i can think about, if i'm right then you should write to linux-git maintainer to clear it

Last edited by Vi0L0 (2012-07-11 09:30:53)

Offline

#4100 2012-07-11 09:28:39

Roken
Member
From: UK
Registered: 2012-01-16
Posts: 656

Re: The AMD/ATI Bar & Grill

Sure.

$ cat /usr/lib/modules/extramodules-3.5-git/version 
3.5.0-rc6+

[img=Speedtest]http://www.speedtest.net/my-result/5145583518[/img]

Nvidia GTX 670 2Gb, AMD Phenom II X4 (965BE) @ 3.6 Ghz (Overclocked) 8GB RAM
Linux user #545703

Offline

Board footer

Powered by FluxBB